summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Petar Petrov2013-01-13 12:28:42 +0100
committer dsomero2013-01-20 15:03:03 +0100
commitdb4f9186fc9940ae16b9bed7b47cb74eb5795657 (patch)
tree47415964e0e8ff9175114614213a01c9e4c51cfb
parent906fb4874df40c307db9e8d7227af05e102f8a16 (diff)
downloadslackbuilds-db4f9186fc9940ae16b9bed7b47cb74eb5795657.tar.gz
academic/ncbi-blast: Added (Basic Local Alignment Search Tool).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--academic/ncbi-blast/README10
-rw-r--r--academic/ncbi-blast/ncbi-blast.SlackBuild110
-rw-r--r--academic/ncbi-blast/ncbi-blast.info10
-rw-r--r--academic/ncbi-blast/slack-desc19
4 files changed, 149 insertions, 0 deletions
diff --git a/academic/ncbi-blast/README b/academic/ncbi-blast/README
new file mode 100644
index 0000000000..281a0ab836
--- /dev/null
+++ b/academic/ncbi-blast/README
@@ -0,0 +1,10 @@
+Legacy BLAST Command Line Applications
+
+The NCBI Basic Local Alignment Search Tool (BLAST) finds regions of
+local similarity between sequences. The program compares nucleotide or
+protein sequences to sequence databases and calculates the statistical
+significance of matches. BLAST can be used to infer functional and
+evolutionary relationships between sequences as well as help identify
+members of gene families.
+
+This just repackages the binaries provided from upstream.
diff --git a/academic/ncbi-blast/ncbi-blast.SlackBuild b/academic/ncbi-blast/ncbi-blast.SlackBuild
new file mode 100644
index 0000000000..34a7b03ac0
--- /dev/null
+++ b/academic/ncbi-blast/ncbi-blast.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+
+# Slackware build script for ncbi-blast
+
+# Copyright 2013 Petar Petrov, ppetrov@paju.oulu.fi
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ncbi-blast
+VERSION=${VERSION:-2.2.26}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=blast
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i386 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+if [ "$ARCH" != "i386" ] && [ "$ARCH" != "x86_64" ]; then
+ printf "\n\n$ARCH is not supported... \n"
+ exit 1
+fi
+
+# Determine the source arch
+if [ "$ARCH" = "x86_64" ]; then
+ SRCARCH="x64"
+else
+ SRCARCH="ia32"
+fi
+
+# Construct the tarball name
+TARNAME=$SRCNAM-$VERSION-$SRCARCH-linux
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$TARNAME.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Install the precompiled binaries. Change the name of rpsblast, as it
+# is also part of the ncbi-blast-plus package.
+cd bin
+install -D -m755 bl2seq $PKG/usr/bin/bl2seq
+install -D -m755 blastall $PKG/usr/bin/blastall
+install -D -m755 blastclust $PKG/usr/bin/blastclust
+install -D -m755 blastpgp $PKG/usr/bin/blastpgp
+install -D -m755 copymat $PKG/usr/bin/copymat
+install -D -m755 fastacmd $PKG/usr/bin/fastacmd
+install -D -m755 formatdb $PKG/usr/bin/formatdb
+install -D -m755 formatrpsdb $PKG/usr/bin/formatrpsdb
+install -D -m755 impala $PKG/usr/bin/impala
+install -D -m755 makemat $PKG/usr/bin/makemat
+install -D -m755 megablast $PKG/usr/bin/megablast
+install -D -m755 rpsblast $PKG/usr/bin/rpsblast-legacy
+install -D -m755 seedtop $PKG/usr/bin/seedtop
+cd ..
+
+# Copy data dir
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -a data $PKG/usr/share/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ doc/* VERSION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/ncbi-blast/ncbi-blast.info b/academic/ncbi-blast/ncbi-blast.info
new file mode 100644
index 0000000000..9d78698777
--- /dev/null
+++ b/academic/ncbi-blast/ncbi-blast.info
@@ -0,0 +1,10 @@
+PRGNAM="ncbi-blast"
+VERSION="2.2.26"
+HOMEPAGE="http://blast.ncbi.nlm.nih.gov/"
+DOWNLOAD="ftp://ftp.ncbi.nih.gov/blast/executables/release/2.2.26/blast-2.2.26-ia32-linux.tar.gz"
+MD5SUM="875be33b3b4a7f3a3612843bed80545f"
+DOWNLOAD_x86_64="ftp://ftp.ncbi.nih.gov/blast/executables/release/2.2.26/blast-2.2.26-x64-linux.tar.gz"
+MD5SUM_x86_64="809798a912f4fb37f62406201456df67"
+REQUIRES=""
+MAINTAINER="Petar Petrov"
+EMAIL="ppetrov@paju.oulu.fi"
diff --git a/academic/ncbi-blast/slack-desc b/academic/ncbi-blast/slack-desc
new file mode 100644
index 0000000000..645495314f
--- /dev/null
+++ b/academic/ncbi-blast/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ncbi-blast: ncbi-blast (BLAST: Basic Local Alignment Search Tool)
+ncbi-blast:
+ncbi-blast: The Basic Local Alignment Search Tool (BLAST) finds regions of
+ncbi-blast: local similarity between sequences. The program compares nucleotide
+ncbi-blast: or protein sequences to sequence databases and calculates the
+ncbi-blast: statistical significance of matches. BLAST can be used to infer
+ncbi-blast: functional and evolutionary relationships between sequences as well
+ncbi-blast: as help identify members of gene families.
+ncbi-blast:
+ncbi-blast: Home: http://blast.ncbi.nlm.nih.gov/
+ncbi-blast: